Package org.apache.sling.event.impl.jobs.tasks

# Class HistoryCleanUpTask

java.lang.Object
org.apache.sling.event.impl.jobs.tasks.HistoryCleanUpTask

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobExecutor`

public class HistoryCleanUpTask extends Object implements org.apache.sling.event.jobs.consumer.JobExecutor
Task to clean up the history, A clean up task can be configured with three properties: - age : only jobs older than this amount of minutes are removed (default is two days) - topic : only jobs with this topic are removed (default is no topic, meaning all jobs are removed) The value should either be a string or an array of string - state : only jobs in this state are removed (default is no state, meaning all jobs are removed) The value should either be a string or an array of string. Allowed values are: SUCCEEDED, STOPPED, GIVEN_UP, ERROR, DROPPED

## Field Summary

### Fields inherited from interface org.apache.sling.event.jobs.consumer.JobExecutor

`PROPERTY_TOPICS`

## Constructor Summary

Constructors
Constructor
Description
`HistoryCleanUpTask()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.event.jobs.consumer.JobExecutionResult`
`process(org.apache.sling.event.jobs.Job job, org.apache.sling.event.jobs.consumer.JobExecutionContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistoryCleanUpTask

public HistoryCleanUpTask()

## Method Details

### process

public org.apache.sling.event.jobs.consumer.JobExecutionResult process(org.apache.sling.event.jobs.Job job, org.apache.sling.event.jobs.consumer.JobExecutionContext context)

Specified by:
  `process` in interface `org.apache.sling.event.jobs.consumer.JobExecutor`